
#define BLYNK_PRINT Serial
#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>

char auth[] = "fe77d1a4ef844fa7a05b264a5dd11bdd";
const int sensorPin = A0;
int sensorState = 0;
int lastState = 0;



void setup()
{
  Serial.begin(9600);
  Blynk.begin(auth, "Newton Sir", "Bulb'sfather");
  pinMode(sensorPin, INPUT);
}

void loop()
{
  Blynk.run();

  sensorState = analogRead(sensorPin);
  Serial.println(sensorState);

  if (sensorState == 1024 && lastState == 0) {
    Serial.println("needs water, send notification");
    Blynk.notify("Water your plants");
    lastState = 1;
    delay(1000);
    //send notification

  }
  else if (sensorState == 1024 && lastState == 1) {
    //do nothing, has not been watered yet
    Serial.println("has not been watered yet");
    delay(1000);
  }
  else {
   
    Serial.println("does not need water");
    lastState = 0;
    delay(1000);
  }

  delay(100);
}
